Bug 1311660 - Internal compiler error C++14 Lambda
Internal compiler error C++14 Lambda
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 12:01 EST by Marco de Leeuw
Modified: 2016-12-20 14:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:00:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (2.70 MB, text/x-csrc)
2016-02-24 12:01 EST, Marco de Leeuw
no flags Details

  None (edit)
Description Marco de Leeuw 2016-02-24 12:01:27 EST
Created attachment 1130262 [details]
Preprocessed source

Description of problem:

g++ -std=c++14 -O3 -p -Wall -c -MMD -MP -MF"huffman.d" -MT"huffman.o" -o "huffman.o" "../huffman.cpp"
../huffman.cpp: In instantiation of ‘{anonymous}::huffman_lengths(const freqtable&)::<lambda(auto:5, auto:6)> [with auto:5 = unsigned char; auto:6 = short int]’:
/usr/include/c++/5.3.1/bits/stl_algo.h:4214:25:   required from ‘_OIter std::transform(_IIter1, _IIter1, _IIter2, _OIter, _BinaryOperation) [with _IIter1 = __gnu_cxx::__normal_iterator<unsigned char*, std::vector<unsigned char> >; _IIter2 = __gnu_cxx::__normal_iterator<short int*, std::vector<short int> >; _OIter = __gnu_cxx::__normal_iterator<unsigned char*, std::vector<unsigned char> >; _BinaryOperation = {anonymous}::huffman_lengths(const freqtable&)::<lambda(auto:5, auto:6)>]’
../huffman.cpp:184:16:   required from here
../huffman.cpp:183:34: interne compilerfout: Segmentatiefout
                 return (token_id == kept_id) ? curlength + 1 : curlength;
                                  ^
Please submit a full bug report,


Version-Release number of selected component (if applicable):
gcc versie 5.3.1 20151207 (Red Hat 5.3.1-2) (GCC)

How reproducible:
Preprocessed source attached

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Marek Polacek 2016-02-24 12:09:04 EST
This was fixed in the mainline with r231863.
Comment 2 Marek Polacek 2016-03-10 10:02:55 EST
But the fix wasn't backported to gcc5.  Should we close this BZ then?
Comment 3 Fedora End Of Life 2016-11-24 10:45:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 14:00:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.